import greenfoot.*;

public class Welt2 extends Scroll
{
    public Welt2()
    {
        super(800, 600, 1, false);
        // the background image
        GreenfootImage image = new GreenfootImage("space1.jpg");
        image.scale(getWidth(), getHeight());
        setBackground(image);
        // set scrolling fields
        setDirection(0);
        setScrollSpeed(2);
        // the ship
        addObject(new Ship2(), 100, getHeight()/2);
        // reset static fields
        Rock2.created = 0;
        Rock2.unhit = 0;
        // the actor to display the score (number of avoided rocks)
        addObject(Rock2.scoreDisp = new Actor(){}, 80, 20);
        Rock2.scoreDisp.setImage(new GreenfootImage(1, 1));
    }
    
    public void act()
    {
        // scroll background image
        scrollBackground();
        // spawn rocks (with increasing frequency)
        if (Greenfoot.getRandomNumber(100-Rock2.created/10) == 0)
        {
            int y = Greenfoot.getRandomNumber(getHeight());
            addObject(new Rock2(), getWidth()+40, y);
        }
        // change worlds
        if ("enter".equals(Greenfoot.getKey())) Greenfoot.setWorld(new Welt3());
    }
}