import greenfoot.*;
import java.awt.Color;

public class Welt3 extends Scroll
{
    public Welt3()
    {
        super(15, 15, 40, false);
        // create grid pattern
        GreenfootImage image = new GreenfootImage(40, 40);
        image.setColor(Color.black);
        image.drawRect(0, 0, 39, 39);
        setBackground(image);
        image = new GreenfootImage(getBackground());
        image.setTransparency(128);
        // the background
        GreenfootImage bg = new GreenfootImage("fractal.png");
        bg.scale(getWidth()*getCellSize(), getHeight()*getCellSize());
        setBackground(bg);
        getBackground().drawImage(image, 0, 0);
        // the actor
        addObject(new Man(), 7, 7);
    }
    
    public void act()
    {
        // change worlds
        if ("enter".equals(Greenfoot.getKey())) Greenfoot.setWorld(new Welt());
    }
}