import greenfoot.*;

public class Man extends Actor
{
    private int moveTimer;
    
    public Man()
    {
        getImage().scale(36, 36);
    }

    public void act()
    {
        // run timer
        if (moveTimer > 0)
        {
            moveTimer = (moveTimer+1)%20;
            return;
        }
        // get user direction
        int dx = 0, dy = 0;
        if (Greenfoot.isKeyDown("right")) dx++;
        if (Greenfoot.isKeyDown("left")) dx--;
        if (Greenfoot.isKeyDown("down")) dy++;
        if (Greenfoot.isKeyDown("up")) dy--;
        // move and scroll world
        if (dx != 0 || dy != 0)
        {
            setLocation(getX()+dx, getY()+dy);
            ((Scroll)getWorld()).setActorAt(this, 7, 7);
            moveTimer++;
        }
    }
}