import greenfoot.*;

public class Welt extends Scroll
{
    private Actor ship; // the main actor
    
    public Welt()
    {
        super(800, 600, 1);
        // the background image
        GreenfootImage image = new GreenfootImage("space1.jpg");
        image.scale(getWidth(), getHeight());
        setBackground(image);
        // the ship
        addObject(ship = new Ship(), getWidth()/2, getHeight()/2);
    }
    
    public void act()
    {
        // keeps ship center screen
        setActorAt(ship, getWidth()/2, getHeight()/2);
        // change worlds
        if ("enter".equals(Greenfoot.getKey())) Greenfoot.setWorld(new Welt2());
    }
}